> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# read a log stream's logs

> Read OTEL formatted logs for a log stream.




## OpenAPI

````yaml get /v1/log-streams/{log_stream_id}/logs
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1037
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: policy-reports
    name: policy-reports
  - description: general
    name: general
  - description: actions
    name: actions
  - description: runbooks
    name: runbooks
  - description: apps
    name: apps
  - description: components
    name: components
  - description: onboarding
    name: onboarding
  - description: slack
    name: slack
  - description: installs
    name: installs
  - description: orgs
    name: orgs
  - description: notebooks
    name: notebooks
  - description: runners/runner
    name: runners/runner
  - description: queues
    name: queues
  - description: actions/runner
    name: actions/runner
  - description: auth
    name: auth
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: accounts
    name: accounts
paths:
  /v1/log-streams/{log_stream_id}/logs:
    get:
      tags:
        - runners
      summary: read a log stream's logs
      description: |
        Read OTEL formatted logs for a log stream.
      operationId: LogStreamReadLogs
      parameters:
        - description: log stream ID
          in: path
          name: log_stream_id
          required: true
          schema:
            type: string
        - description: log stream offset
          in: header
          name: X-Nuon-API-Offset
          schema:
            type: string
        - description: sort direction
          in: query
          name: order
          schema:
            default: asc
            type: string
        - description: filter by service_name (repeatable)
          in: query
          name: service_name
          schema:
            items:
              type: string
            type: array
        - description: filter by scope_name (repeatable)
          in: query
          name: scope_name
          schema:
            items:
              type: string
            type: array
        - description: filter by severity_text (repeatable)
          in: query
          name: severity_text
          schema:
            items:
              type: string
            type: array
        - description: filter by log_attributes['nuon.tool']
          in: query
          name: tool
          schema:
            type: string
        - description: filter by log_attributes['helm.release_name']
          in: query
          name: helm_release_name
          schema:
            type: string
        - description: filter by log_attributes['helm.operation']
          in: query
          name: helm_operation
          schema:
            type: string
        - description: filter by log_attributes['tf.workspace_id']
          in: query
          name: tf_workspace_id
          schema:
            type: string
        - description: filter by log_attributes['tf.operation']
          in: query
          name: tf_operation
          schema:
            type: string
        - description: filter by log_attributes['k8s.kind']
          in: query
          name: k8s_kind
          schema:
            type: string
        - description: filter by log_attributes['k8s.namespace']
          in: query
          name: k8s_namespace
          schema:
            type: string
        - description: filter by log_attributes['k8s.name']
          in: query
          name: k8s_name
          schema:
            type: string
        - description: filter by exact trace_id (dedicated CH column)
          in: query
          name: trace_id
          schema:
            type: string
        - description: filter by exact span_id (dedicated CH column)
          in: query
          name: span_id
          schema:
            type: string
        - description: case-insensitive substring filter on log body
          in: query
          name: q
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/app.OtelLogRecord'
                type: array
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    app.OtelLogRecord:
      properties:
        body:
          type: string
        created_at:
          type: string
        created_by_id:
          type: string
        id:
          type: string
        log_attributes:
          additionalProperties:
            type: string
          type: object
        log_stream_id:
          type: string
        org_id:
          description: internal attributes
          type: string
        resource_attributes:
          additionalProperties:
            type: string
          type: object
        resource_schema_url:
          type: string
        runner_group_id:
          type: string
        runner_id:
          type: string
        runner_job_execution_id:
          type: string
        runner_job_execution_step:
          type: string
        runner_job_id:
          type: string
        scope_attributes:
          additionalProperties:
            type: string
          type: object
        scope_name:
          type: string
        scope_schema_url:
          type: string
        scope_version:
          type: string
        service_name:
          type: string
        severity_number:
          type: integer
        severity_text:
          type: string
        span_id:
          type: string
        timestamp:
          description: OTEL log message attributes
          type: string
        timestamp_date:
          type: string
        timestamp_time:
          type: string
        trace_flags:
          type: integer
        trace_id:
          type: string
        updated_at:
          type: string
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````